> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HCHttpCallResponseAppendResponseBodyBytes

> HCHttpCallResponseAppendResponseBodyBytes

Appends to the response body byte buffer of the HTTP call. If a custom write callback was previously set on this call handle using HCHttpCallResponseSetResponseBodyWriteFunction, this operation will fail as these are mutually exclusive.

## Syntax

```cpp theme={null}
HRESULT HCHttpCallResponseAppendResponseBodyBytes(  
         HCCallHandle call,  
         const uint8_t* bodyBytes,  
         size_t bodySize  
)  
```

### Parameters

*call*   \_In\_\
Type: HCCallHandle

The handle of the HTTP call.

*bodyBytes*   \_In\_reads\_bytes\_(bodySize)\
Type: uint8\_t\*

The data to append.

*bodySize*   \_In\_\
Type: size\_t

The length in bytes of the data.

### Return value

Type: HRESULT

Result code for this API operation. Possible values are S\_OK, E\_INVALIDARG, E\_OUTOFMEMORY, or E\_FAIL.

## Requirements

**Header:** httpProvider.h

**Library:** libHttpClient.lib

**Supported platforms:** Windows, XBOX One family consoles and XBOX Series consoles

## See also

[httpProvider](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)


## Related topics

- [httpProvider (contents)](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)
- [HCHttpCallResponseSetResponseBodyBytes](https://docs.xbox.com/reference/live/httpclient/httpprovider/functions/hchttpcallresponsesetresponsebodybytes.md)
- [HCHttpCallResponseGetResponseBodyBytes](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsegetresponsebodybytes.md)
- [HCHttpCallResponseGetResponseBodyBytesSize](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsegetresponsebodybytessize.md)
- [XblHttpCallGetResponseBodyBytes](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/functions/xblhttpcallgetresponsebodybytes.md)
